Skip to main content
PUT
/
conversations
/
messages
/
{messageId}
/
status
Update message status
curl --request PUT \
  --url https://services.leadconnectorhq.com/conversations/messages/{messageId}/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "status": "read",
  "error": {
    "code": "1",
    "type": "saas",
    "message": "There was an error from the provider"
  },
  "emailMessageId": "ve9EPM428h8vShlRW1KT",
  "recipients": [
    "<string>"
  ]
}
'
{
  "conversationId": "ABC12h2F6uBrIkfXYazb",
  "messageId": "t22c6DQcTDf3MjRhwf77",
  "emailMessageId": "rnGyqh2F6uBrIkfhFo9A",
  "messageIds": [
    "<string>"
  ],
  "msg": "Message queued successfully."
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

messageId
string
required

Message Id

Example:

"ve9EPM428h8vShlRW1KT"

Body

application/json
status
enum<string>
required

Message status

Available options:
delivered,
failed,
pending,
read
Example:

"read"

error
object
emailMessageId
string

Email message Id

Example:

"ve9EPM428h8vShlRW1KT"

recipients
string[]

Email delivery status for additional email recipients.

Response

Created the message

conversationId
string
required

Conversation ID.

Example:

"ABC12h2F6uBrIkfXYazb"

messageId
string
required

This is the main Message ID

Example:

"t22c6DQcTDf3MjRhwf77"

emailMessageId
string

This contains the email message id (only for Email type). Use this ID to send inbound replies to Hoop to create a threaded email.

Example:

"rnGyqh2F6uBrIkfhFo9A"

messageIds
string[]

When sending via the GMB channel, we will be returning list of messageIds instead of single messageId.

msg
string

Additional response message when sending a workflow message

Example:

"Message queued successfully."

Last modified on March 4, 2026